curl --request POST \
--url 'https://api.workstream.stateset.com/v1/workflows/payment-recovery/start' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"connector_key_mail": "string",
"connector_key_sms": "string",
"connector_key_voice": "string",
"connector_key_stripe": "string",
"customer_email": "ada.lovelace@example.com",
"customer_phone": "+1 415 555 0142",
"invoice_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"amount_due_display": "string",
"update_payment_url": "string",
"conversation_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"escalation_assignee": "string",
"agent_key": "string",
"step_interval_secs": 1,
"max_steps": 1,
"customer_timezone": "America/Los_Angeles",
"quiet_hours_start_hour": 1,
"quiet_hours_end_hour": 1,
"idempotency_key": "req_01J9X4Q8M2ZK7V3N",
"copy": {
"brand_name": "Acme Outdoors",
"sender_signature": "string",
"email_subject_override": "string"
},
"routing_mode": "string"
}'
{
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"run_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Start payment recovery workflow
Workflow started (or the existing run returned when the deterministic workflow id already exists).
POST
/
v1
/
workflows
/
payment-recovery
/
start
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/workflows/payment-recovery/start' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"connector_key_mail": "string",
"connector_key_sms": "string",
"connector_key_voice": "string",
"connector_key_stripe": "string",
"customer_email": "ada.lovelace@example.com",
"customer_phone": "+1 415 555 0142",
"invoice_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"amount_due_display": "string",
"update_payment_url": "string",
"conversation_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"escalation_assignee": "string",
"agent_key": "string",
"step_interval_secs": 1,
"max_steps": 1,
"customer_timezone": "America/Los_Angeles",
"quiet_hours_start_hour": 1,
"quiet_hours_end_hour": 1,
"idempotency_key": "req_01J9X4Q8M2ZK7V3N",
"copy": {
"brand_name": "Acme Outdoors",
"sender_signature": "string",
"email_subject_override": "string"
},
"routing_mode": "string"
}'
{
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"run_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Request body
object
Response
StartWorkflowResponse
Status codes
| Code | Meaning |
|---|---|
200 | Workflow started (or the existing run returned when the deterministic workflow id already exists). |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/workflows/payment-recovery/start' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"connector_key_mail": "string",
"connector_key_sms": "string",
"connector_key_voice": "string",
"connector_key_stripe": "string",
"customer_email": "ada.lovelace@example.com",
"customer_phone": "+1 415 555 0142",
"invoice_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"amount_due_display": "string",
"update_payment_url": "string",
"conversation_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"escalation_assignee": "string",
"agent_key": "string",
"step_interval_secs": 1,
"max_steps": 1,
"customer_timezone": "America/Los_Angeles",
"quiet_hours_start_hour": 1,
"quiet_hours_end_hour": 1,
"idempotency_key": "req_01J9X4Q8M2ZK7V3N",
"copy": {
"brand_name": "Acme Outdoors",
"sender_signature": "string",
"email_subject_override": "string"
},
"routing_mode": "string"
}'
{
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"run_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Last modified on August 31, 2026